<?php
$title = 'Заполнение реквизитов';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
if(isset($_POST['pay'])){
$wmr = htmlspecialchars($_POST['wmr']);
$wmz = htmlspecialchars($_POST['wmz']);
$wme = htmlspecialchars($_POST['wme']);
$wmu = htmlspecialchars($_POST['wmu']);
$qiwi = abs(intval($_POST['qiwi']));
$yandex = abs(intval($_POST['yandex']));
$mobile = abs(intval($_POST['mobile']));
$update = $db->prepare("UPDATE `users` SET `wmr` = ?,`wmz` = ?,`wme` = ?,`wmu` = ?,`qiwi` = ?,`yandex` = ?,`mobile` = ?,`pay` = ? WHERE `id` = ?");
$update -> execute([$wmr,$wmz,$wme,$wmu,$qiwi,$yandex,$mobile,time(),$user['id']]);
$_SESSION['message'] = 'Вы успешно изменили данные для вывода средств';
header('Location: /setting/my/pay.aspx');
exit;
}
if($user['pay'] + (86400 * 3) > time()) $value = 'disabled';
?>
<div class="top">Платежные реквизиты</div>
<div class="box">
<form action="" method="post">
<strong><i class="fa fa-warning"></i> Внимание!
<br/>После смены реквизитов вывод средств будет заморожен на 3 суток !</strong><br/>
<b>Указываем только цифры для кошельков QIWI,YA.Money,Mobile <br />
<i class="fa fa-mobile"></i> Телефон указываем в формате : 7927752хххх</b><br />
<br/>
 <h3> WMR <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="wmr" value="<?=$user['wmr']?>" <?=$value?>></br>
 <h3> WMZ <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="wmz" value="<?=$user['wmz']?>" <?=$value?>></br>
 <h3> WME <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="wme" value="<?=$user['wme']?>" <?=$value?>></br>
 <h3> WMU <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="wmu" value="<?=$user['wmu']?>" <?=$value?>></br>
 <h3> QIWI <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="qiwi" value="<?=$user['qiwi']?>" <?=$value?>></br>
 <h3> YA.Money <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="yandex" value="<?=$user['yandex']?>" <?=$value?>></br>
 <h3> Mobile <span style="color: red;">*</span>: </h3><br/>
<input type="text" name="mobile" value="<?=$user['mobile']?>" <?=$value?>></br>
</br><input type="submit" name="pay" value="Добавить"></form></div>
<?


require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');